--DROP TABLE FEDLOGDB.NMCRL_ORG CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG
(
  NCAGE       VARCHAR2(5 BYTE) NOT NULL,
  KUSFDDC     VARCHAR2(1 BYTE),
  KNORG       VARCHAR2(190 CHAR),
  BOX         VARCHAR2(38 CHAR),
  OBEORG      VARCHAR2(38 CHAR),
  KSTUSCAN    VARCHAR2(2 BYTE),
  KSTJINY     VARCHAR2(38 CHAR),
  KPCC        VARCHAR2(38 CHAR),
  PSC         VARCHAR2(38 CHAR),
  KPCS        VARCHAR2(38 CHAR),
  TLX         VARCHAR2(38 CHAR),
  VTX         VARCHAR2(38 CHAR),
  PSS         VARCHAR2(38 CHAR),
  INF         VARCHAR2(38 CHAR),
  KNSCMSD     CHAR(1 BYTE),
  KTOENT      CHAR(1 BYTE),
  KIDN        VARCHAR2(50 CHAR),
  KISC        VARCHAR2(38 CHAR),
  KDZMKHN     TIMESTAMP(6),
  KMOZ        CHAR(3 BYTE),
  FOOTPRINT   NUMBER(10),
  VERSION_ID  INTEGER  DEFAULT 0 NOT NULL,
  STREET1     VARCHAR2(38 CHAR),
  STREET2     VARCHAR2(38 CHAR),
  KTIMESTAMP  TIMESTAMP(6),
  DUNS        CHAR(9 BYTE),
  KPRMSR      CHAR(1 BYTE) DEFAULT '0' NOT NULL
)
;

CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG ON FEDLOGDB.NMCRL_ORG (NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG ADD (
  CONSTRAINT P_NMCRL_ORG
  PRIMARY KEY
  (NCAGE)
  USING INDEX FEDLOGDB.P_NMCRL_ORG
  ENABLE VALIDATE);
  
CREATE INDEX FEDLOGDB.I_NMCRLORG_KCNSCMSD ON FEDLOGDB.NMCRL_ORG (KNSCMSD);

CREATE INDEX FEDLOGDB.I_NMCRLORG_KCTOENT ON FEDLOGDB.NMCRL_ORG (KTOENT);

CREATE INDEX FEDLOGDB.I_NMCRLORG_KCZEME ON FEDLOGDB.NMCRL_ORG (KMOZ);

CREATE INDEX FEDLOGDB.I_NMCRL_ORG_DUNS ON FEDLOGDB.NMCRL_ORG (DUNS);

CREATE OR REPLACE TRIGGER FEDLOGDB.T_NMCRL_ORG_NOR 
		    BEFORE
		    INSERT OR UPDATE
		    ON FEDLOGDB.NMCRL_ORG REFERENCING OLD AS old NEW AS new
		    FOR EACH ROW
BEGIN
		      :new.ktimestamp:=sysdate;
		    END;
/

/*
ALTER TABLE MCCPROD.NMCRL_ORG ADD (
  CONSTRAINT F_NMCRLORG_KCNSCMSD 
  FOREIGN KEY (KNSCMSD) 
  REFERENCES MCCPROD.KCNSCMSD (NSCMSD)
  ENABLE VALIDATE
,  CONSTRAINT F_NMCRLORG_KCTOENT 
  FOREIGN KEY (KTOENT) 
  REFERENCES MCCPROD.KCTOENT (KTOENT)
  ENABLE VALIDATE
,  CONSTRAINT F_NMCRLORG_KCZEME 
  FOREIGN KEY (KMOZ) 
  REFERENCES MCCPROD.KCZEME (KZEME)
  ENABLE VALIDATE);
*/  